Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.expr
Class PropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.xml.sax.SAXException
                  org.apache.fop.apps.FOPException
                      org.apache.fop.fo.expr.PropertyException

All Implemented Interfaces:
  java.io.Serializable

    public class PropertyException

extends FOPException

Class for managing exceptions that are raised in Property processing.

See Also:
  Serialized Form

Constructor Summary
`PropertyException(java.lang.Exception cause)` Constructor
`PropertyException(java.lang.String detail)` Constructor

Method Summary
`java.lang.String` | `getMessage()` Returns the detail message string of this FOP exception.
`void` | `setPropertyInfo(PropertyInfo propInfo)` Sets the property context information.
`void` | `setPropertyName(java.lang.String propertyName)` Sets the name of the property.

Methods inherited from class org.apache.fop.apps.FOPException
`getLocalizedMessage, getRootException, isLocationSet, printStackTrace, printStackTrace, printStackTrace, setLocalizedMessage, setLocation, setLocator`

Methods inherited from class org.xml.sax.SAXException
`getCause, getException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyException

    public PropertyException(java.lang.String detail)

  Constructor

  Parameters:
    `detail` - string containing the detail message

### PropertyException

    public PropertyException(java.lang.Exception cause)

  Constructor

  Parameters:
    `cause` - the Exception causing this PropertyException

Method Detail

### setPropertyInfo

    public void setPropertyInfo(PropertyInfo propInfo)

  Sets the property context information.

  Parameters:
    `propInfo` - the property info instance

### setPropertyName

    public void setPropertyName(java.lang.String propertyName)

  Sets the name of the property.

  Parameters:
    `propertyName` - the property name

### getMessage

    public java.lang.String getMessage()

  Returns the detail message string of this FOP exception. If a location was set, the message is prepended with it in the form

        SystemId:LL:CC: &the message&

  (the format used by most GNU tools)

  Overrides:
    `getMessage` in class `FOPException`
  Returns:
    the detail message string of this FOP exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.